WinShopAPI docs
ReferenceItem lists

Lengths

List lengths

GET
/api/item-lists/lengths

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/lengths' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "name": "string"  }]

Create a length

POST
/api/item-lists/lengths

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
id?integer
Formatint32
name?|
Lengthlength <= 50

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 50
curl -X POST 'https://<your-instance>/api/item-lists/lengths' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "name": "string"}

Get a length

GET
/api/item-lists/lengths/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 50
curl -X GET 'https://<your-instance>/api/item-lists/lengths/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "name": "string"}

Update a length

PATCH
/api/item-lists/lengths/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
id?integer
Formatint32
name?|
Lengthlength <= 50

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 50
curl -X PATCH 'https://<your-instance>/api/item-lists/lengths/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "name": "string"}

Delete a length

DELETE
/api/item-lists/lengths/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/lengths/0' \  -H 'Authorization: Bearer <access-token>'
Empty